com.trendmicro.ds.antimalware.rest.api

## Interface IWidgetsAPI

-     public interface IWidgetsAPI

  Interface for event retrieval

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `BarDataListing` | `getMalwareHistoryWidget(java.lang.String sID, int timescale)` Get Anti-Malware events history data based on AntiMalwareHistoryWidget
    `CounterMalwareDetectedListing` | `getTop5MalwareDetectedWidget(java.lang.String sID, int timescale)` Get Top 5 detected Malware based on Top5MalwareDetectedWidget
    `CounterWebReputationUrlListing` | `getTop5UrlsForWebReputationWidget(java.lang.String sID, int timescale)` Get Top 5 Web Reputation URL Activity based on Top5UrlsForWebReputationWidget
    `BarDataListing` | `getWebReputationHistoryWidget(java.lang.String sID, int timescale)` Get Web Reputation events history data based on WebReputationHistoryWidget

- - ### Method Detail

    - #### getTop5MalwareDetectedWidget

          CounterMalwareDetectedListing getTop5MalwareDetectedWidget(java.lang.String sID,
                                                                     int timescale)
                                                              throws java.lang.Exception

      Get Top 5 detected Malware based on Top5MalwareDetectedWidget
      Parameters:
        `sID` - session ID.
        `timescale` - 1 - last 7 days; 2 - last 24 hours; *
      Returns:
        a List of CounterMalwareDetectedListing, a collection of the top 5 detected malware.
      Throws:
        `java.lang.Exception`

    - #### getTop5UrlsForWebReputationWidget

          CounterWebReputationUrlListing getTop5UrlsForWebReputationWidget(java.lang.String sID,
                                                                           int timescale)
                                                                    throws java.lang.Exception

      Get Top 5 Web Reputation URL Activity based on Top5UrlsForWebReputationWidget
      Parameters:
        `sID` - session ID.
        `timescale` - 1 - last 7 days; 2 - last 24 hours; *
      Returns:
        a List of CounterWebReputationUrlListing, a collection of the top 5 detected urls.
      Throws:
        `java.lang.Exception`

    - #### getMalwareHistoryWidget

          BarDataListing getMalwareHistoryWidget(java.lang.String sID,
                                                 int timescale)
                                          throws java.lang.Exception

      Get Anti-Malware events history data based on AntiMalwareHistoryWidget
      Parameters:
        `sID` - session ID.
        `timescale` - 1 - last 7 days; 2 - last 24 hours;
      Returns:
        a List of bar data
      Throws:
        `java.lang.Exception`

    - #### getWebReputationHistoryWidget

          BarDataListing getWebReputationHistoryWidget(java.lang.String sID,
                                                       int timescale)
                                                throws java.lang.Exception

      Get Web Reputation events history data based on WebReputationHistoryWidget
      Parameters:
        `sID` - session ID.
        `timescale` - 1 - last 7 days; 2 - last 24 hours;
      Returns:
        a List of bar data
      Throws:
        `java.lang.Exception`

Copyright © 2015 Trend Micro Inc. All Rights Reserved.